# Uses of Enum Class
org.apache.lucene.queryparser.flexible.standard.config.StandardQueryConfigHandler.Operator

Packages that use StandardQueryConfigHandler.Operator
Package
Description
org.apache.lucene.queryparser.flexible.standard
Lucene Flexible Query Parser Implementation
org.apache.lucene.queryparser.flexible.standard.config
Standard Lucene Query Configuration.

- ## Uses of StandardQueryConfigHandler.Operator in org.apache.lucene.queryparser.flexible.standard

  Methods in org.apache.lucene.queryparser.flexible.standard that return StandardQueryConfigHandler.Operator
  Modifier and Type
  Method
  Description
  `StandardQueryConfigHandler.Operator`
  StandardQueryParser.`getDefaultOperator()`
  Gets implicit operator setting, which will be either `AND` or `OR`.
  Methods in org.apache.lucene.queryparser.flexible.standard with parameters of type StandardQueryConfigHandler.Operator
  Modifier and Type
  Method
  Description
  `void`
  StandardQueryParser.`setDefaultOperator(StandardQueryConfigHandler.Operator operator)`
  Sets the boolean operator of the QueryParser.

- ## Uses of StandardQueryConfigHandler.Operator in org.apache.lucene.queryparser.flexible.standard.config

  Fields in org.apache.lucene.queryparser.flexible.standard.config with type parameters of type StandardQueryConfigHandler.Operator
  Modifier and Type
  Field
  Description
  `static final ConfigurationKey<StandardQueryConfigHandler.Operator>`
  StandardQueryConfigHandler.ConfigurationKeys.`DEFAULT_OPERATOR`
  Key used to set the default boolean operator
  Methods in org.apache.lucene.queryparser.flexible.standard.config that return StandardQueryConfigHandler.Operator
  Modifier and Type
  Method
  Description
  `static StandardQueryConfigHandler.Operator`
  StandardQueryConfigHandler.Operator.`valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static StandardQueryConfigHandler.Operator[]`
  StandardQueryConfigHandler.Operator.`values()`
  Returns an array containing the constants of this enum class, in the order they are declared.